Package twisted :: Package conch :: Package ssh :: Module connection

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.connection

This module contains the implementation of the ssh-connection service, which allows access to the shell and port-forwarding.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`SSHConnection` |

Variable Summary
`int` | `EXTENDED_DATA_STDERR`
`dict` | `messages`
`int` | `MSG_CHANNEL_CLOSE`
`int` | `MSG_CHANNEL_DATA`
`int` | `MSG_CHANNEL_EOF`
`int` | `MSG_CHANNEL_EXTENDED_DATA`
`int` | `MSG_CHANNEL_FAILURE`
`int` | `MSG_CHANNEL_OPEN`
`int` | `MSG_CHANNEL_OPEN_CONFIRMATION`
`int` | `MSG_CHANNEL_OPEN_FAILURE`
`int` | `MSG_CHANNEL_REQUEST`
`int` | `MSG_CHANNEL_SUCCESS`
`int` | `MSG_CHANNEL_WINDOW_ADJUST`
`int` | `MSG_GLOBAL_REQUEST`
`int` | `MSG_REQUEST_FAILURE`
`int` | `MSG_REQUEST_SUCCESS`
`int` | `OPEN_ADMINISTRATIVELY_PROHIBITED`
`int` | `OPEN_CONNECT_FAILED`
`int` | `OPEN_RESOURCE_SHORTAGE`
`int` | `OPEN_UNKNOWN_CHANNEL_TYPE`
`SelectReactor` | `reactor`
`str` | `v`

Variable Details

### EXTENDED_DATA_STDERR

  Type:
    `int`
  Value:

        1

### messages

  Type:
    `dict`
  Value:

        {80: 'MSG_GLOBAL_REQUEST',
         81: 'MSG_REQUEST_SUCCESS',
         82: 'MSG_REQUEST_FAILURE',
         90: 'MSG_CHANNEL_OPEN',
         91: 'MSG_CHANNEL_OPEN_CONFIRMATION',
         92: 'MSG_CHANNEL_OPEN_FAILURE',
         93: 'MSG_CHANNEL_WINDOW_ADJUST',
         94: 'MSG_CHANNEL_DATA',
        ...

### MSG_CHANNEL_CLOSE

  Type:
    `int`
  Value:

        97

### MSG_CHANNEL_DATA

  Type:
    `int`
  Value:

        94

### MSG_CHANNEL_EOF

  Type:
    `int`
  Value:

        96

### MSG_CHANNEL_EXTENDED_DATA

  Type:
    `int`
  Value:

        95

### MSG_CHANNEL_FAILURE

  Type:
    `int`
  Value:

        100

### MSG_CHANNEL_OPEN

  Type:
    `int`
  Value:

        90

### MSG_CHANNEL_OPEN_CONFIRMATION

  Type:
    `int`
  Value:

        91

### MSG_CHANNEL_OPEN_FAILURE

  Type:
    `int`
  Value:

        92

### MSG_CHANNEL_REQUEST

  Type:
    `int`
  Value:

        98

### MSG_CHANNEL_SUCCESS

  Type:
    `int`
  Value:

        99

### MSG_CHANNEL_WINDOW_ADJUST

  Type:
    `int`
  Value:

        93

### MSG_GLOBAL_REQUEST

  Type:
    `int`
  Value:

        80

### MSG_REQUEST_FAILURE

  Type:
    `int`
  Value:

        82

### MSG_REQUEST_SUCCESS

  Type:
    `int`
  Value:

        81

### OPEN_ADMINISTRATIVELY_PROHIBITED

  Type:
    `int`
  Value:

        1

### OPEN_CONNECT_FAILED

  Type:
    `int`
  Value:

        2

### OPEN_RESOURCE_SHORTAGE

  Type:
    `int`
  Value:

        4

### OPEN_UNKNOWN_CHANNEL_TYPE

  Type:
    `int`
  Value:

        3

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

### v

  Type:
    `str`
  Value:

        'types'

Generated by Epydoc 1.1 on Thu May 8 13:18:19 2003 | http://epydoc.sf.net